constructor(){
  super({
    requiresPageReload: true
  });
}

enabled(){
	shiftpost();
	function shiftpost(){
		var form = document.querySelector(".compose-content .js-compose-text");
		if (form === null) {
			setTimeout(shiftpost, 1000);
			return;
		}
		document.documentElement.addEventListener('keydown', function(e) {
			if ((e.keyCode === 13 && e.shiftKey) && (form === form.ownerDocument.activeElement)){
				triggerEvent(form,'uiComposeSendTweet');
			}
		});
		form.placeholder = 'shift+enter to post / ' + form.placeholder;
	}

	//https://qiita.com/ryounagaoka/items/a48d3a4c4faf78a99ae5
	function triggerEvent(element, event) {
		if (document.createEvent) {
			var evt = document.createEvent("HTMLEvents");
			evt.initEvent(event, true, true ); // event type, bubbling, cancelable
			return element.dispatchEvent(evt);
		} else {
			var evt = document.createEventObject();
			return element.fireEvent("on"+event, evt);
		}
	}
}

ready(){

}

disabled(){
  // not needed, plugin reloads the page when enabled or disabled
}
