constructor(){
  super({
    requiresPageReload: true
  });
}

enabled(){

	var tags = [];
	init();
	function init(){
	    var form = document.querySelector(".compose-content .js-compose-text");

	    if (form === null) {
	        setTimeout(init, 1000);
	        return;
	    }

	    var observer = new MutationObserver(function(mutations) {
	        mutations.forEach(function(mutation) {
	            if (form.disabled) {
	                tags = form.value.match(/(?:^|\s)#\S+/g) || [];
	            } else {
	                form.value = " "+tags.map(function(s){return s.trim();}).join(" ");
	                form.selectionEnd = 0;
	                form.selectionStart = 0;
	                form.focus();
	            }
	        });
	    });

	    observer.observe(form, {attributes: true, attributeFilter: ["disabled"]});
		form.placeholder = 'keep hashtags / ' + form.placeholder;
	}

}

ready(){

}

disabled(){
  // not needed, plugin reloads the page when enabled or disabled
}
